Jenkins and CyberArk EPM

Jenkins setup: 2.442

We are installing CyberArk EPM (Endpoint Protection Manager) in a client and after the EPM agent had been installed whenever we try to install Jenkins we get the error in the image attached. I’d like to know whether anyone has gone through anything similar preferably involving CyberArk EPM. Thank you.
jenkins

It’s possible that the EPM agent is restricting the necessary permissions for the Jenkins installation.

Here are a few things you could try: :crossed_fingers:

  1. Check the account permissions: Make sure that the account you’re using to install Jenkins has the necessary permissions to log on as a service. This is usually managed in the Local Security Policy settings in Windows.
  2. CyberArk EPM settings: Check the settings of the CyberArk EPM agent. It might be possible to configure it to allow the Jenkins installation. :person_shrugging:
    You might need to add an exception for the Jenkins installer or the account you’re using to install Jenkins.
  3. Contact CyberArk support: If you’re unable to resolve the issue, it might be helpful to reach out to CyberArk’s support. They might be able to provide more specific guidance based on the configuration of the EPM agent.